
/* Chrysalide - Outil d'analyse de fichiers binaires
 * registers.h - prototypes pour le panneau d'affichage des registres d'architecture
 *
 * Copyright (C) 2009-2012 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _PANEL_REGISTERS_H
#define _PANEL_REGISTERS_H


#include <gtk/gtk.h>


#include "../debug/debugger.h"



/* Construit le panneau d'affichage des registres. */
GtkWidget *build_registers_panel(void);



/* Met à jour l'affichage des valeurs de registre. */
void refresh_registers_panel_with_registers(GtkWidget *, register_value *, size_t);




#endif  /* _PANEL_REGISTERS_H */
